<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PaymentBooking StructType
 * @subpackage Structs
 */
class PaymentBooking extends AbstractStructBase
{
    /**
     * The PaymentRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_PaymentRQ
     */
    public $PaymentRQ;
    /**
     * Constructor method for PaymentBooking
     * @uses PaymentBooking::setPaymentRQ()
     * @param \StructType\JP_PaymentRQ $paymentRQ
     */
    public function __construct(\StructType\JP_PaymentRQ $paymentRQ = null)
    {
        $this
            ->setPaymentRQ($paymentRQ);
    }
    /**
     * Get PaymentRQ value
     * @return \StructType\JP_PaymentRQ|null
     */
    public function getPaymentRQ()
    {
        return $this->PaymentRQ;
    }
    /**
     * Set PaymentRQ value
     * @param \StructType\JP_PaymentRQ $paymentRQ
     * @return \StructType\PaymentBooking
     */
    public function setPaymentRQ(\StructType\JP_PaymentRQ $paymentRQ = null)
    {
        $this->PaymentRQ = $paymentRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\PaymentBooking
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
